Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum Reason

    java.lang.Object
      java.lang.Enum<Reason>
          com.nortel.soa.oi.cct.types.Reason

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Reason>

    public enum Reason

extends java.lang.Enum<Reason>

Java class for reason.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="reason">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DEFAULT"/>
         <enumeration value="CONSULT_INIT"/>
         <enumeration value="CONSULT_COMPLETE"/>
         <enumeration value="TRANSFER_INIT"/>
         <enumeration value="TRANSFER_URI_INIT"/>
         <enumeration value="TRANSFER_OPEN_NET_INIT"/>
         <enumeration value="TRANSFER_COMPLETE"/>
         <enumeration value="CONFERENCE_INIT"/>
         <enumeration value="CONFERENCE_URI_INIT"/>
         <enumeration value="CONFERENCE_OPEN_NET_INIT"/>
         <enumeration value="CONFERENCE_COMPLETE"/>
         <enumeration value="BARGE_IN"/>
         <enumeration value="OBSERVE"/>
         <enumeration value="WHISPER"/>
         <enumeration value="REJECT"/>
         <enumeration value="PARK"/>
         <enumeration value="REDIRECT"/>
         <enumeration value="ROUTE"/>
         <enumeration value="SHUTDOWN"/>
         <enumeration value="EMERGENCY"/>
         <enumeration value="CALL_SUPERVISOR"/>
         <enumeration value="DEFAULT_TREATMENT"/>
         <enumeration value="FORCE_DISCONNECT"/>
         <enumeration value="ADDRESS_REMOVAL"/>
         <enumeration value="NOT_READY"/>
         <enumeration value="PULL"/>
         <enumeration value="BULK_RECORD"/>
         <enumeration value="DEMAND_RECORD"/>
         <enumeration value="QUALITY_RECORD"/>
         <enumeration value="DENIED"/>
         <enumeration value="CANCELLED"/>
         <enumeration value="NO_RESPONSE"/>
         <enumeration value="INSUFFICIENT_RESOURCES"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ADDRESS_REMOVAL`
`BARGE_IN`
`BULK_RECORD`
`CALL_SUPERVISOR`
`CANCELLED`
`CONFERENCE_COMPLETE`
`CONFERENCE_INIT`
`CONFERENCE_OPEN_NET_INIT`
`CONFERENCE_URI_INIT`
`CONSULT_COMPLETE`
`CONSULT_INIT`
`DEFAULT`
`DEFAULT_TREATMENT`
`DEMAND_RECORD`
`DENIED`
`EMERGENCY`
`FORCE_DISCONNECT`
`INSUFFICIENT_RESOURCES`
`NO_RESPONSE`
`NOT_READY`
`OBSERVE`
`PARK`
`PULL`
`QUALITY_RECORD`
`REDIRECT`
`REJECT`
`ROUTE`
`SHUTDOWN`
`TRANSFER_COMPLETE`
`TRANSFER_INIT`
`TRANSFER_OPEN_NET_INIT`
`TRANSFER_URI_INIT`
`WHISPER`

Method Summary
`static Reason` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static Reason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Reason DEFAULT

### CONSULT_INIT

    public static final Reason CONSULT_INIT

### CONSULT_COMPLETE

    public static final Reason CONSULT_COMPLETE

### TRANSFER_INIT

    public static final Reason TRANSFER_INIT

### TRANSFER_URI_INIT

    public static final Reason TRANSFER_URI_INIT

### TRANSFER_OPEN_NET_INIT

    public static final Reason TRANSFER_OPEN_NET_INIT

### TRANSFER_COMPLETE

    public static final Reason TRANSFER_COMPLETE

### CONFERENCE_INIT

    public static final Reason CONFERENCE_INIT

### CONFERENCE_URI_INIT

    public static final Reason CONFERENCE_URI_INIT

### CONFERENCE_OPEN_NET_INIT

    public static final Reason CONFERENCE_OPEN_NET_INIT

### CONFERENCE_COMPLETE

    public static final Reason CONFERENCE_COMPLETE

### BARGE_IN

    public static final Reason BARGE_IN

### OBSERVE

    public static final Reason OBSERVE

### WHISPER

    public static final Reason WHISPER

### REJECT

    public static final Reason REJECT

### PARK

    public static final Reason PARK

### REDIRECT

    public static final Reason REDIRECT

### ROUTE

    public static final Reason ROUTE

### SHUTDOWN

    public static final Reason SHUTDOWN

### EMERGENCY

    public static final Reason EMERGENCY

### CALL_SUPERVISOR

    public static final Reason CALL_SUPERVISOR

### DEFAULT_TREATMENT

    public static final Reason DEFAULT_TREATMENT

### FORCE_DISCONNECT

    public static final Reason FORCE_DISCONNECT

### ADDRESS_REMOVAL

    public static final Reason ADDRESS_REMOVAL

### NOT_READY

    public static final Reason NOT_READY

### PULL

    public static final Reason PULL

### BULK_RECORD

    public static final Reason BULK_RECORD

### DEMAND_RECORD

    public static final Reason DEMAND_RECORD

### QUALITY_RECORD

    public static final Reason QUALITY_RECORD

### DENIED

    public static final Reason DENIED

### CANCELLED

    public static final Reason CANCELLED

### NO_RESPONSE

    public static final Reason NO_RESPONSE

### INSUFFICIENT_RESOURCES

    public static final Reason INSUFFICIENT_RESOURCES

Method Detail

### values

    public static Reason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Reason c : Reason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Reason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static Reason fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.